﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CannonballController : MonoBehaviour
{

    public float Speed = 10f;
    public float Range = 1f;
    Rigidbody2D rb;


    void Start()
    {
        rb = GetComponent<Rigidbody2D>();
        Destroy(gameObject, Range);
    }

    // Update is called once per frame
    void FixedUpdate()
    {
        Vector3 delta = transform.right * Speed * Time.fixedDeltaTime;
        rb.MovePosition(rb.position + (Vector2)delta);
    }

    void OnCollisionEnter2D(Collision2D collision)
    {
        Debug.Log(name + " hit a " + collision.collider.gameObject.name);
        Destroy(gameObject);
    }

}
